Updates the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "21b56556-27e2-45dd-815e-4f3fc24c07a4",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "8f6c4016-177c-4b6d-82fe-ce44a118de19",
"_parent_code": "sample string 6",
"sales_organization_id": "07cdd79d-c734-407a-b061-8c58f190d14b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "838eac3a-23d3-4820-8205-793098ff5ac8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "4b6e5236-58d0-4074-883c-ef476a8ca13c",
"db_currency_id": "7b0d9574-fc63-430c-844e-5583c9a45481",
"db_language_id": "160c1a86-dba3-4336-b690-32922ba0beb9",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-05-01T16:04:24.2658329+00:00"
},
"modified_dateutc": "2026-05-01T16:04:24.2658329+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.